import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
  {
    path: 'customization',
    loadComponent: () => import('./customization/customization.page').then( m => m.CustomizationPage)
  },
  {
    path: 'community',
    loadComponent: () => import('./community/community.page').then( m => m.CommunityPage)
  },
  {
    path: 'yiyun',
    loadComponent: () => import('./yiyun/yiyun.page').then( m => m.YiyunPage)
  },
  {
    path: 'store',
    loadComponent: () => import('./store/store.page').then( m => m.StorePage)
  },
  {
    path: 'me',
    loadComponent: () => import('./me/me.page').then( m => m.MePage)
  },
];
