import { Component, NgModule, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { ItemReorderEventDetail } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { camera,trendingUpOutline,sparklesOutline,cloudyOutline,diceOutline} from 'ionicons/icons';
import { IonContent, IonHeader, IonTitle, IonToolbar, IonButton, IonLabel, IonItem, IonList, IonBackButton, IonButtons, IonIcon, IonItemDivider, IonAvatar, IonThumbnail, IonItemOptions, IonItemOption, IonItemSliding, IonInput, IonCheckbox, IonRadio, IonToggle, IonRadioGroup, IonSearchbar,IonSegment,IonSegmentButton,IonDatetime,IonFooter,IonCardContent,IonCardTitle,IonCardHeader,IonCard,IonCol,IonRow,IonGrid,IonChip,IonImg } from '@ionic/angular/standalone';
addIcons({camera,trendingUpOutline,sparklesOutline,cloudyOutline,diceOutline})
@Component({
  selector: 'app-yiyun',
  templateUrl: './yiyun.page.html',
  styleUrls: ['./yiyun.page.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonTitle, IonToolbar, CommonModule, FormsModule, IonButton,  IonLabel, IonLabel, IonList, IonItem, IonBackButton, IonButtons, IonIcon, IonItemDivider, IonAvatar, IonThumbnail, IonItemOptions, IonItemSliding, IonItemOption, IonItemOptions,IonInput,IonCheckbox,IonRadio,IonToggle,IonRadioGroup,IonSearchbar,IonSegment,IonSegmentButton,IonDatetime,IonFooter,IonCardContent,IonCardTitle,IonCardHeader,IonCard,IonCol,IonRow,IonGrid,IonChip,IonImg ]

})


export class YiyunPage implements OnInit {

  constructor() { }

  ngOnInit() {
  }
  public items = [
    { text: '趋势分析', image: 'trending-up-outline', page: '/page1' },
    { text: 'AI定制', image: 'dice-outline', page: '/page2' },
    { text: '活动优惠', image: 'sparkles-outline', page: '/page3' },
    { text: '虚拟试衣', image: 'cloudy-outline', page: '/page4' },
    
  ];

  products: any[] = [
    { image: 'assets/img/shi.png', name: '商品1', description: '这是一个商品描述', price: 99.99 },
    { image: 'assets/img/shi.png', name: '商品2', description: '这是一个商品描述', price: 199.99 },
    { image: 'assets/img/shi.png', name: '商品1', description: '这是一个商品描述', price: 99.99 },
    { image: 'assets/img/shi.png', name: '商品2', description: '这是一个商品描述', price: 199.99 },

    // ... 更多商品数据
  ];


  // 打开登陆页面
  openLoginModal(){
    console.log("打开登陆页面");
    
  }
}
